sc::PsiInput Class Reference

PsiInput is a Psi input file. More...

`#include <psiinput.h>`

Inheritance diagram for sc::PsiInput:
[legend]
Collaboration diagram for sc::PsiInput:
[legend]

## Public Member Functions

| PsiInput (const string &name)
void | open ()
void | close ()
void | print (std::ostream &)
void | begin_section (const char *s)
void | end_section ()
void | write_indent ()
void | incindent (int)
void | decindent (int)
void | write_comment (const char *)
void | write_keyword (const char *, const char *)
void | write_keyword (const char *, int)
void | write_keyword (const char *, double)
void | write_keyword_array (const char *, int, int *)
void | write_keyword_array (const char *, int, double *)
void | write_string (const char *)
void | write_key_wq (const char *, const char *)
void | write_basis (const Ref< GaussianBasisSet > &)
| Construct the "basis" keyword for input.
void | write_basis_sets (const Ref< GaussianBasisSet > &)
| Write basis sets explicitly.
void | write_geom (const Ref< Molecule > &)
void | write_defaults (const Ref< PsiExEnv > &, const char *dertype)
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

PsiInput is a Psi input file.

The documentation for this class was generated from the following file:

- psiinput.h